GLADEVCP(1)

NAME
GladeVCP - Virtual Control Panel for LinuxCNC based on Glade, Gtk and HAL widgets

SYNOPSIS
gladevcp [-g WxH+X+Y] [-c component-name] [-u handler] [-U useroption] [-H HAL-file] [-d] myfile.ui

OPTIONS

-g WxH+X+Y
    This sets the initial geometry of the root window. Use 'WxH' for just size, '+X+Y' for just position, or 'WxH+X+Y' for both. Size / position use pixel units. Position is referenced from top left.

-c component-name
    Use component-name as the HAL component name. If the component name is not specified, the basename of the ui file is used.

-u handler
    Instructs GladeVCP to inspect the Python script handler for event handlers, and connect them to signals in the ui file.

-U useroption
    GladeVCP collects all useroption strings and passes them to the handler init() method as a list of strings without further inspection.

-x XID
    Reparent GladeVCP into an existing window XID instead of creating a new top level window.

-H halfile
    GladeVCP runs HAL file - a list of HAL commands - by executing halcmd -c filename after the HAL component is finalized.

-d  enable debug output.

-R gtkrcfile
    explicitly load a gtkrc file.

-t THEME
    set gtk theme. Default is the system theme. Different panels can have different themes.

-m MAXIMUM
    force panel window to maximize. Together with the -g geometry option one can move the panel to a second monitor and force it to use all of the screen

-R  explicitly deactivate workaround for a GTK bug which makes matches of widget and widget_class matches in GTK theme and gtkrc files fail. Normally not needed.

SEE ALSO
GladeVCP in the LinuxCNC documentation for a description of GladeVCP's capabilities and the associated HAL widget set, along with examples.